## screen-3.9.15.rd.tgz

=== Makefile ===
# Generated automatically from Makefile.in by configure.
#
# Makefile template for screen 
#
# See machine dependant config.h for more configuration options.
#

srcdir = .

DESTDIR = 

# Where to install screen.

prefix = 
exec_prefix = ${prefix}

# don't forget to change mandir and infodir in doc/Makefile.
bindir  = $(exec_prefix)/bin

VERSION = 3.9.15
SCREEN = screen-$(VERSION)

ETCSCREENRC = `sed < config.h -n -e '/define ETCSCREENRC/s/^.*"\([^"]*\)"/\1/p'`
SCREENENCODINGS = `sed < config.h -n -e '/define SCREENENCODINGS/s/^.*"\([^"]*\)"/\1/p'`

CC = gcc
CFLAGS = -g -O2
CPPFLAGS = 
LDFLAGS = 
LIBS = -lcurses  -lutil -lcrypt

CPP=gcc -E
CPP_DEPEND=$(CC) -MM

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

AWK = mawk

### Chose some debug configuration options:
# -DDEBUG
#	Turn on really heavy debug output. This is written to 
#	/tmp/debug/{SCREEN,screen}.<pid>. Look at these files and quote 
#	questionable sections when sending bug-reports to the author.
# -DDUMPSHADOW
#	With shadow-pw screen would never dump core. Use this option if
#	you still want to have a core. Use only for debugging.
#OPTIONS= 
OPTIONS= -DESCCHAR
#OPTIONS= -DDEBUG

SHELL=/bin/sh

CFILES=	screen.c ansi.c fileio.c mark.c misc.c resize.c socket.c \
	search.c tty.c term.c window.c utmp.c loadav.c putenv.c help.c \
	termcap.c input.c attacher.c pty.c process.c display.c comm.c \
	kmapdef.c acls.c braille.c braille_tsi.c logfile.c layer.c \
	sched.c teln.c nethack.c encoding.c
OFILES=	screen.o ansi.o fileio.o mark.o misc.o resize.o socket.o \
	search.o tty.o term.o window.o utmp.o loadav.o putenv.o help.o \
	termcap.o input.o attacher.o pty.o process.o display.o comm.o \
	kmapdef.o acls.o braille.o braille_tsi.o logfile.o layer.o \
	sched.o teln.o nethack.o encoding.o

all:	screen

screen: $(OFILES)
	$(CC) $(LDFLAGS) -o $@ $(OFILES) $(LIBS)

.c.o:
	$(CC) -c -I. -I$(srcdir) $(M_CFLAGS) $(DEFS) $(OPTIONS) $(CFLAGS) $<

install_bin: .version screen
	-if [ -f $(DESTDIR)$(bindir)/$(SCREEN) ] && [ ! -f $(DESTDIR)$(bindir)/$(SCREEN).old ]; \
		then mv $(DESTDIR)$(bindir)/$(SCREEN) $(DESTDIR)$(bindir)/$(SCREEN).old; fi
	$(INSTALL_PROGRAM) screen $(DESTDIR)$(bindir)/$(SCREEN)
	-chown root $(DESTDIR)$(bindir)/$(SCREEN) && chmod 4755 $(DESTDIR)$(bindir)/$(SCREEN)
# This doesn't work if $(bindir)/screen is a symlink
	-if [ -f $(DESTDIR)$(bindir)/screen ] && [ ! -f $(DESTDIR)$(bindir)/screen.old ]; then mv $(DESTDIR)$(bindir)/screen $(DESTDIR)$(bindir)/screen.old; fi
	rm -f $(DESTDIR)$(bindir)/screen
	(cd $(DESTDIR)$(bindir) && ln -sf $(SCREEN) screen)
	cp $(srcdir)/utf8encodings/?? $(DESTDIR)$(SCREENENCODINGS)

###############################################################################
install: installdirs install_bin
	cd doc ; $(MAKE) install
	-if [ -d /usr/lib/terminfo ]; then \
		PATH="$$PATH:/usr/5bin" tic ${srcdir}/terminfo/screeninfo.src; \
		chmod 644 /usr/lib/terminfo/s/screen*; \
	fi
# Better do this by hand. E.g. under RCS...
#	cat ${srcdir}/terminfo/screencap >> /etc/termcap
	@echo "termcap entry (${srcdir}/terminfo/screencap) should be installed manually."
	@echo "You may also want to install $(srcdir)/etc/etcscreenrc in" $(ETCSCREENRC)

installdirs:
# Path leading to ETCSCREENRC and Socketdirectory not checked.
	$(srcdir)/etc/mkinstalldirs $(DESTDIR)$(bindir) $(DESTDIR)$(SCREENENCODINGS)
	cd doc ; $(MAKE) installdirs

uninstall: .version
	rm -f $(DESTDIR)$(bindir)/$(SCREEN)
	rm -f $(DESTDIR)$(bindir)/screen
	-mv $(DESTDIR)$(bindir)/screen.old $(DESTDIR)$(bindir)/screen
	rm -f $(DESTDIR)$(ETCSCREENRC)
	cd doc; $(MAKE) uninstall

shadow:
	mkdir shadow;
	cd shadow; ln -s ../*.[ch] ../*.in ../*.sh ../configure ../doc ../terminfo ../etc .
	rm -f shadow/term.h shadow/tty.c shadow/comm.h shadow/osdef.h
	echo "install all Makefiles and config:" > shadow/Makefile
	echo "	rm -f config.cache" >> shadow/Makefile
	echo "	sh ./configure" >> shadow/Makefile
	
term.h: term.c term.sh
	AWK=$(AWK) srcdir=$(srcdir) sh $(srcdir)/term.sh

kmapdef.c: term.h

tty.c:	tty.sh 
	sh $(srcdir)/tty.sh tty.c

comm.h: comm.c comm.sh config.h
	AWK=$(AWK) CC="$(CC) $(CFLAGS)" srcdir=${srcdir} sh $(srcdir)/comm.sh

osdef.h: osdef.sh config.h osdef.h.in
	CPP="$(CPP) $(CPPFLAGS)" srcdir=${srcdir} sh $(srcdir)/osdef.sh

docs:
	cd doc; $(MAKE) dvi screen.info

dvi info screen.info:
	-cd doc; $(MAKE) $@

mostlyclean:
	rm -f $(OFILES) screen config.cache osdef0.c osdef1.sed osdef2.sed

clean celan: mostlyclean
	rm -f tty.c term.h comm.h osdef.h kmapdef.c core

# Delete all files from the current directory that are created by 
# configuring or building the program.
# building of term.h/comm.h requires awk. Keep it in the distribution
# we keep config.h, as this file knows where 'make dist' finds the ETCSCREENRC.
#distclean:	mostlyclean
#	rm -f $(SCREEN).tar $(SCREEN).tar.gz
#	rm -f config.status Makefile
#	rm -f osdef.h doc/Makefile

maintainer-clean:
	@echo "This command is not even intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."


# Delete everything from the current directory that can be
# reconstructed with this Makefile.
realclean: .version mostlyclean
	rm -f $(SCREEN).tar $(SCREEN).tar.gz
	rm -f config.status Makefile doc/Makefile
	rm -f tty.c term.h comm.h osdef.h kmapdef.c
	rm -f config.h
	echo "install all Makefiles and config:" > Makefile
	echo "  sh ./configure" >> Makefile

tags TAGS: $(CFILES)
	-ctags    *.sh $(CFILES) *.h
	-ctags -e *.sh $(CFILES) *.h

dist: .version $(SCREEN).tar.gz

$(SCREEN).tar: .version term.h comm.h tty.c kmapdef.c
	-rm -rf dist
	mkdir dist
	mkdir dist/$(SCREEN)
	ln acls.h ansi.h display.h extern.h logfile.h mark.h os.h \
	   layer.h patchlevel.h rcs.h screen.h window.h image.h \
	   osdef.h.in term.sh tty.sh comm.sh osdef.sh braille.h \
	   sched.h \
	   $(CFILES) \
	   ChangeLog COPYING INSTALL NEWS* TODO install.sh \
	   dist/$(SCREEN)
	cd dist/$(SCREEN); mv tty.c tty.c.dist
	cd dist/$(SCREEN); mv kmapdef.c kmapdef.c.dist
	ln configure.in configure dist/$(SCREEN)
	sed -e 's@"/local/screens@"/tmp/screens@' -e 's@"/local@"/usr/local@g' < config.h.in > dist/$(SCREEN)/config.h.in
	sed -e 's@[	 ]/local@ /usr/local@g' -e 's/^CFLAGS = -g/CFLAGS = -O/' < Makefile.in > dist/$(SCREEN)/Makefile.in
	ln term.h dist/$(SCREEN)/term.h.dist
	ln comm.h dist/$(SCREEN)/comm.h.dist
	ln README dist/$(SCREEN)/README
	mkdir dist/$(SCREEN)/terminfo
	cd terminfo; ln 8bits README checktc.c screencap \
	  screeninfo.src test.txt tetris.c \
	  ../dist/$(SCREEN)/terminfo
	mkdir dist/$(SCREEN)/etc
	cd etc; ln * ../dist/$(SCREEN)/etc
	mkdir dist/$(SCREEN)/utf8encodings
	cd utf8encodings; ln * ../dist/$(SCREEN)/utf8encodings
	# sed -e 's/^startup/#startup/' -e 's/^autodetach/#autodetach/' < $(ETCSCREENRC) > dist/$(SCREEN)/etc/etcscreenrc 
	cp $(HOME)/.screenrc dist/$(SCREEN)/etc/screenrc
	mkdir dist/$(SCREEN)/doc
	sed -e 's@/local/emacs@/usr/local@g' < doc/Makefile.in > dist/$(SCREEN)/doc/Makefile.in
	cd doc; ln FAQ README.DOTSCREEN screen.1 screen.texinfo fdpat.ps make.help window_to_display.ps \
	  ../dist/$(SCREEN)/doc
	cd doc; if test -f screen.info; then ln screen.info* \
	   ../dist/$(SCREEN)/doc; fi
	cd dist/$(SCREEN)/doc; ln -s ../install.sh .
	cd dist/$(SCREEN); ln -s doc/FAQ .
	echo "install all Makefiles and config:" > dist/$(SCREEN)/Makefile
	echo "	rm -f config.cache" >> dist/$(SCREEN)/Makefile
	echo "	sh ./configure"     >> dist/$(SCREEN)/Makefile
	cd dist; tar cf ../$(SCREEN).tar $(SCREEN)
	rm -rf dist

$(SCREEN).tar.gz: $(SCREEN).tar
	gzip -nf $(SCREEN).tar || gzip -f $(SCREEN).tar

# Perform self-tests (if any).
check:

lint:
	lint -I. $(CFILES)

saber:
	#load $(CFLAGS) screen.c ansi.c $(LIBS)

config:
	rm -f config.cache
	sh ./configure


###############################################################################

.version:
	@rev=`sed < $(srcdir)/patchlevel.h -n -e '/#define REV/s/#define REV  *//p'`; \
	vers=`sed < $(srcdir)/patchlevel.h -n -e '/#define VERS/s/#define VERS  *//p'`; \
	pat=`sed < $(srcdir)/patchlevel.h -n -e '/#define PATCHLEVEL/s/#define PATCHLEVEL  *//p'`; \
	if [ "$${rev}.$${vers}.$${pat}" != "$(VERSION)" ]; then \
	echo "This distribution is screen-$${rev}.$${vers}.$${pat}, but"; \
	echo "the Makefile is from $(VERSION). Please update!"; exit 1; fi

###############################################################################

mdepend: $(CFILES) term.h
	@rm -f DEPEND ; \
	for i in ${CFILES} ; do \
	  echo "$$i" ; \
	  echo `echo "$$i" | sed -e 's/.c$$/.o/'`": $$i" `\
            cc -E $$i |\
            grep '^# .*"\./.*\.h"' |\
            (sort -t'"' -u -k 2,2 2>/dev/null || sort -t'"' -u +1 -2) |\
            sed -e 's/.*"\.\/\(.*\)".*/\1/'\
          ` >> DEPEND ; \
	done


depend: depend.in
	./config.status || ./configure
	
depend.in: $(CFILES) term.h
	cp Makefile.in Makefile.in~
	sed -e '/\#\#\# Dependencies/q' < Makefile.in > tmp_make
	for i in $(CFILES); do echo $$i; $(CPP_DEPEND) $$i >> tmp_make; done 
	mv tmp_make Makefile.in

###############################################################################

### Dependencies:
screen.o: screen.c rcs.h config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h braille.h \
 patchlevel.h logfile.h extern.h
ansi.o: ansi.c rcs.h config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h braille.h extern.h \
 logfile.h
fileio.o: fileio.c rcs.h config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h
mark.o: mark.c rcs.h config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h mark.h extern.h
misc.o: misc.c rcs.h config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h
resize.o: resize.c rcs.h config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h
socket.o: socket.c rcs.h config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h
search.o: search.c rcs.h config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h mark.h extern.h
tty.o: tty.c rcs.h config.h screen.h os.h osdef.h ansi.h acls.h comm.h \
 layer.h term.h image.h display.h window.h extern.h
term.o: term.c rcs.h term.h
window.o: window.c rcs.h config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h logfile.h
utmp.o: utmp.c rcs.h config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h
loadav.o: loadav.c rcs.h config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h
putenv.o: putenv.c rcs.h config.h
help.o: help.c rcs.h config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h
termcap.o: termcap.c rcs.h config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h
input.o: input.c rcs.h config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h
attacher.o: attacher.c rcs.h config.h screen.h os.h osdef.h ansi.h \
 acls.h comm.h layer.h term.h image.h display.h window.h extern.h
pty.o: pty.c rcs.h config.h screen.h os.h osdef.h ansi.h acls.h comm.h \
 layer.h term.h image.h display.h window.h extern.h
process.o: process.c rcs.h config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h logfile.h
display.o: display.c rcs.h config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h braille.h
comm.o: comm.c rcs.h config.h acls.h comm.h
kmapdef.o: kmapdef.c config.h
acls.o: acls.c rcs.h config.h screen.h os.h osdef.h ansi.h acls.h comm.h \
 layer.h term.h image.h display.h window.h extern.h
braille.o: braille.c rcs.h config.h screen.h os.h osdef.h ansi.h acls.h \

=== doc/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile for Screen documentation

srcdir = .

DESTDIR = 

prefix = 
mandir = ${prefix}/man
infodir = ${prefix}/info

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MAKEINFO = makeinfo
TEXI2DVI = texi2dvi
TEXI2PDF = texi2pdf

SHELL = /bin/sh

all: screen.info

dvi screen.dvi: screen.texinfo mostlyclean
	$(TEXI2DVI) $(srcdir)/screen.texinfo

pdf screen.pdf: screen.texinfo mostlyclean
	$(TEXI2PDF) $(srcdir)/screen.texinfo

info screen.info: screen.texinfo
	@rm -f screen.info*
	$(MAKEINFO) $(srcdir)/screen.texinfo -o screen.info

install: installdirs
	$(INSTALL_DATA) $(srcdir)/screen.1 $(DESTDIR)$(mandir)/man1/screen.1
	-$(MAKE) screen.info
	-if test -f screen.info; then d=.; else d=$(srcdir); fi; \
	if test -f $$d/screen.info; then \
	for f in $$d/screen.info*; do $(INSTALL_DATA) $$f $(DESTDIR)$(infodir);done; \
	if $(SHELL) -c 'install-info --version' >/dev/null 2>&1; then \
	  install-info --info-dir=$(DESTDIR)$(infodir) $$d/screen.info; \
	else true; fi; \
	fi

uninstall:
	rm -f $(DESTDIR)$(mandir)/man1/screen.1
	rm -f $(DESTDIR)$(infodir)/screen.info*

installdirs:
	$(srcdir)/../etc/mkinstalldirs $(DESTDIR)$(mandir)/man1 $(DESTDIR)$(infodir)

mostlyclean:
	-rm -f *.cp *.cps *.fn *.fns *.ky *.kys *.pg *.tp *.vr
	-rm -f *.log *.aux *.toc *~

clean distclean clobber: mostlyclean
	-rm -f *.dvi

realclean: clean
	-rm -f *.info*

check installcheck:

=== debian/changelog ===
screen (3.9.15-1) unstable; urgency=low

  * New Upstream Release
    * unicode combining character support
    * chinese GBK encoding added
    * backtick screen escape to substitute command output

  * add Danish translation (thanks Morten Brix Pedersen)     (closes: #174745)
  * add startup script to reap stale screen named pipes      (closes: #164447)
  * remove extraneous /etc/pam.d/screen as other works fine

 -- Adam Lazur <zal@debian.org>  Mon, 17 Mar 2003 22:56:01 -0500

screen (3.9.13-3) unstable; urgency=low

  * add note about xterm scrollback and screen to README.Debian and update
    comment in /etc/screenrc.

 -- Adam Lazur <zal@debian.org>  Thu, 17 Oct 2002 16:41:11 -0400

screen (3.9.13-2) unstable; urgency=medium

  * avoid pkg installing docs resulting in /usr/share/info/dir.gz files in
    the .deb                                                 (closes: #162940)

  * apply 2 patches from upstream:
    1) Fix console grabbing on linux. The kernel handles TIOCCONS too
       restrictive, had to implement a workaround.
    2) Fix WrapChar bug that prevented removal of a bad scroll-region.

 -- Adam Lazur <zal@debian.org>  Thu, 10 Oct 2002 22:53:24 -0400

screen (3.9.13-1) unstable; urgency=low

  * New Upstream Release
  * correction to a FAQ answer in README.Debian              (closes: #153323)

 -- Adam Lazur <zal@debian.org>  Tue, 17 Sep 2002 09:19:14 -0400

screen (3.9.11-5) unstable; urgency=high

  * remove (%n.%t) from hardstatus string                    (closes: #137095)
  * bump up max window title length to 60                    (closes: #135391)
  * debconf templates:
    * add french translation (thanks Philippe Batailler)     (closes: #141676)
    * add russian translation (thanks Ilgiz Kalmetev)        (closes: #137682)
    * split translations out into their own files
  * fix debconf prompt when upgrading from versions < 3.9.5-5 (closes: #137743)
  * edit the long description a bit
  * update README.Debian as to current state of screen-bce

 -- Adam Lazur <zal@debian.org>  Wed, 10 Apr 2002 22:01:46 -0400

screen (3.9.11-4) unstable; urgency=low

  * patches to fix Japanese support:
        screen-3.9.11.hcGR-patch
        screen-3.9.11.paste-patch
        screen-3.9.11.encoding-patch                         (closes: #136740)
  * add spanish debconf template translation                 (closes: #136447)

 -- Adam Lazur <zal@debian.org>  Thu,  7 Mar 2002 09:13:56 -0500

screen (3.9.11-3) unstable; urgency=high

  * Security Fix: override autoconf detected default group and mode on ptys
                  as it is not autodetected properly for buildd's that run
                  as cronjobs                                (closes: #135018)
  * add note to README.Debian about setting xterm titlebar/icon and how to
    override the default
  * add note to README.Debian about mutt padding lines with whitespace (bce)
  * add patchlevel.h (the real upstream changelog) to /usr/share/doc/screen

 -- Adam Lazur <zal@debian.org>  Thu, 21 Feb 2002 17:25:12 -0500

screen (3.9.11-2) unstable; urgency=high

  * Apply patch to fix non utf8 locales                      (closes: #134200)
  * fix problems with screenrc changes that affected konsole (closes: #134198)
    * remove line that was borking TERM=xterm
    * re-add line which mods xterm initialization string
  * Add screen-bce terminal type to screeninfo.src and add a note about it in
    README.Debian

 -- Adam Lazur <zal@debian.org>  Sat, 16 Feb 2002 13:49:38 -0500

screen (3.9.11-1) unstable; urgency=low

  * New upstream release
    * New commands: windowlist (bound to C-a "), source, eval, ignorecase,
                    deflogin, setsid
    * Support for double-width utf-8 characters.
    * bugfixes and other features, see /usr/share/doc/screen/NEWS.gz for more
      info

  * Removed patches:
    * pam support, hurd fix, getpt fix: accepted upstream
    * md5 password support: obsoleted by pam support
    * bufferfile default change: screen is tmpfile safe

  * Updates to /etc/screenrc:
    * Bump up defscrollback from 100 (compiled in default) to 1024
      (thanks to overfiend for pointing this out)
    * Add examples of running programs at screen startup

  * Add german template translation                          (closes: #126180)
  * Now (ab)use upstream's makefile for most of the file installation
  * compile with --enable-rxvt_osc to allow rxvt icon setting from within
    screen                                                   (closes: #133333)

 -- Adam Lazur <zal@debian.org>  Fri, 15 Feb 2002 10:18:07 -0500

screen (3.9.10-1) unstable; urgency=low

  * New Maintainer
  * migrate package build to debhelper
  * debconfify prompt when upgrading from screen < 3.9.5-5

 -- Adam Lazur <zal@debian.org>  Sat, 15 Dec 2001 21:20:58 -0500

screen (3.9.10-0.1) unstable; urgency=high

  * NMU.
  * New upstream version with security fix. (Closes: #111339)
    (Thanks Adam Lazur <laz@clustermonkey.org>)

 -- Eric Gillespie, Jr. <epg@debian.org>  Wed, 12 Sep 2001 22:11:23 -0500

screen (3.9.9-2) unstable; urgency=low

  * New Standards-Version (3.5.4)
  * Get rid of suidmanager, install screen setgid  (closes: Bug#96858)

 -- Juan Cespedes <cespedes@debian.org>  Tue,  5 Jun 2001 23:50:42 +0200

screen (3.9.9-1) unstable; urgency=low

  * New upstream version
  * Really fix Bug#80337 (thanks to Michael Schroeder <mls@suse.de>)

 -- Juan Cespedes <cespedes@debian.org>  Sat,  2 Jun 2001 19:40:37 +0200

screen (3.9.8-6.1) unstable; urgency=HIGH

  * Non-maintainer upload.
  * Disable -DDEBUG which is a massive security hole, closes: #98839.

 -- James Troup <james@nocrew.org>  Sun, 27 May 2001 01:09:31 +0100

screen (3.9.8-6) unstable; urgency=low

  * Updated copyright file
  * Applied patch from Ryan King <rking@caseta.com> to be
    able to work correctly on many-lined terminals   (closes: Bug#80337)

 -- Juan Cespedes <cespedes@debian.org>  Tue, 22 May 2001 00:23:00 +0200

screen (3.9.8-5) unstable; urgency=low



=== debian/control ===
Source: screen
Section: misc
Priority: optional
Maintainer: Adam Lazur <zal@debian.org>
Standards-Version: 3.5.8
Build-Depends: libncurses5-dev, texinfo, libpam0g-dev, base-passwd (>= 2.0.3.4), debhelper (>> 3.0.0)

Package: screen
Architecture: any
Depends: ${shlibs:Depends}, base-passwd (>= 2.0.3.4)
Pre-Depends: debconf (>= 0.2.17)
Conflicts: suidmanager (<< 0.52)
Description: a terminal multiplexor with VT100/ANSI terminal emulation
 screen is a terminal multiplexor that runs several separate "screens" on a
 single physical character-based terminal.  Each virtual terminal emulates a
 DEC VT100 plus several ANSI X3.64 and ISO 2022 functions.  Screen sessions
 can be detached and resumed later on a different terminal.
 .
 Screen also supports a whole slew of other features.  Some of these are:
 configurable input and output translation, serial port support, configurable
 logging, multi-user support, and utf8 charset support.

=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright (C) 1997 joost witteveen <joost@rulcmc.leidenuniv.nl>
# Copyright (C) 1997-2001 Juan Cespedes <cespedes@debian.org>
# Copyright (C) 2001 Adam Lazur <zal@debian.org>

# Uncomment me to turn on debugging
#export DH_VERBOSE=1

# the debhelper compatability version
export DH_COMPAT=3

package = screen

ROOT = $$PWD/debian/$(package)

# statically define this... sucko
TTYGROUP = 5

configure-stamp:
	dh_testdir
	./configure --prefix=/usr \
		    --infodir='$$(prefix)/share/info' \
		    --mandir='$$(prefix)/share/man' \
		    --with-socket-dir=/var/run/screen \
		    --enable-pam \
		    --with-pty-mode=0620 \
		    --with-pty-group=${TTYGROUP} \
		    --enable-rxvt_osc \
		    --with-sys-screenrc=/etc/screenrc
#		    --enable-colors256
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) CFLAGS+='-O2 -g -Wall'
	for file in doc/screen.texinfo doc/screen.1 ; do \
	    sed -f debian/mod_docs.sed $${file} > $${file}.new && \
	    mv $${file}.new $${file} ; \
	done
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	# clean up after the build process
	-$(MAKE) clean
	rm -rf config.status
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# can't call the normal install target b/c it installs the info files
	# and other crud
	$(MAKE) prefix=$(ROOT)/usr SCREENENCODINGS='$$(prefix)/share/screen/utf8encodings' installdirs install_bin
	# install the debian screenrc to etc
	install -m 644 debian/screenrc $(ROOT)/etc
	# hack around the fact that the install target makes screen a symlink
	# to screen-$(VERSION)
	rm -f $(ROOT)/usr/bin/screen
	mv -f $(ROOT)/usr/bin/screen* $(ROOT)/usr/bin/screen
	# make it setgid utmp
	chmod 2755 $(ROOT)/usr/bin/screen
	chown root:utmp $(ROOT)/usr/bin/screen
	chmod 775 $(ROOT)/var/run/screen
	chown root:utmp $(ROOT)/var/run/screen
	# lintian overrides for the setgid bin etc
	install -m 755 -d $(ROOT)/usr/share/lintian/overrides
	install -m 644 debian/screen.lintian.overrides $(ROOT)/usr/share/lintian/overrides/screen
	# cheat a little here and copy the README.terminfo into the terminfo
	# dir for dh_installdocs to pick up later
	install -m 644 debian/README.terminfo terminfo

binary: binary-arch

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installman || true
	dh_installinfo
	dh_installchangelogs -k patchlevel.h
	dh_installinit --no-start --init-script='screen-cleanup' --update-rcd-params='start 70 S .'
	dh_strip
	dh_compress
	dh_fixperms -X/usr/bin/screen -X/var/run/screen
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean binary-indep binary-arch binary install
